## tuxpuck 0.7.91

=== Makefile ===
# Makefile for TuxPuck , Copyright Jacob Kroon 2001-2002
VERSION		= 0.7.91
CC		= gcc
CFLAGS		+= `sdl-config --cflags` -D_VERSION=\"$(VERSION)\" \
		   -D_SLEEP=10 -g -Wall -Werror
LDFLAGS		= `sdl-config --libs` -lm -lpng -ljpeg -lz -lvorbisfile -lvorbis
#LDFLAGS		= `sdl-config --libs` -lm /usr/lib/libpng.a -ljpeg -lz \
	   	  /usr/lib/libvorbisfile.a /usr/lib/libvorbis.a \
		  /usr/lib/libogg.a
CSOURCES	= tuxpuck.c video.c audio.c sprite.c font.c timer.c board.c \
	   	  entity.c glass.c scoreboard.c player.c zoom.c png.c jpg.c \
		  intro.c tux.c arcana.c 
INCLUDES	= video.h audio.h sprite.h font.h timer.h board.h entity.h \
	   	  glass.h scoreboard.h player.h

#############################################################

OBJS=$(CSOURCES:.c=.o)

%.o	: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

tuxpuck : $(OBJS)
	cd data; $(MAKE)
	$(CC) $(OBJS) data/libdata.a $(LDFLAGS) -o tuxpuck

clean :
	cd utils; $(MAKE) clean;
	cd data; $(MAKE) clean;
	rm -f *~ $(OBJS) tuxpuck

indent :
	cd utils; $(MAKE) indent;
	indent -c70 -npsl -npcs $(CSOURCES) $(INCLUDES)
	rm -f *~

dist :
	$(MAKE) clean
	mkdir tuxpuck-$(VERSION)
	cp $(CSOURCES) $(INCLUDES) README TODO BUGS THANKS \
		COPYING Makefile tuxpuck-$(VERSION)
	cp -R utils data tuxpuck-$(VERSION)
	tar -czf tuxpuck-$(VERSION).tar.gz tuxpuck-$(VERSION)
	rm -Rf tuxpuck-$(VERSION)

binary :
	$(MAKE)
	strip tuxpuck
	mv tuxpuck tuxpuck_temp
	mkdir tuxpuck
	mv tuxpuck_temp tuxpuck/tuxpuck
	cp README TODO BUGS THANKS COPYING tuxpuck
	tar -czf tuxpuck-$(VERSION).tar.gz tuxpuck
	rm -rf tuxpuck
