=== utils/Makefile ===
# Makefile for TuxPuck Utils , Copyright Jacob Kroon 2001-2002
CC		= gcc
CFLAGS		= `sdl-config --cflags` -g -Wall -Werror
FT2PREFIX	= /usr/X11R6/
#############################################################

all : ttf2font data2c anim

%.o	: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

ttf2font : ttf2font.c
	$(CC) $(CFLAGS) ttf2font.c -o ttf2font -I$(FT2PREFIX)/include \
	-I$(FT2PREFIX)/include/freetype2 -L$(FT2PREFIX)/lib -lfreetype

data2c : data2c.c
	$(CC) $(CFLAGS) data2c.c -o data2c

anim : anim.c
	$(CC) $(CFLAGS) anim.c -o anim

clean :
	rm -f *~ data2c ttf2font anim

indent :
	indent -c90 -npsl -npcs data2c.c ttf2font.c anim.c
	rm -f *~
