## tuxpuck 0.0.8-4

=== debian/changelog ===
tuxpuck (0.0.8-4) unstable; urgency=low

  * Updated to Maemo 4.0

 -- Marcelo Lira <setanta@gmail.com>  Fri, 26 Oct 2007 11:22:00 -0300

tuxpuck (0.0.8-3) unstable; urgency=low

  * Now _really_ updated to Maemo 2.0. 

 -- Eduardo Lima <eduardo.lima@indt.org>  Wed, 23 Aug 2006 19:05:16 -0300

tuxpuck (0.0.8-2) unstable; urgency=low
  * Updated to Maemo 2.0

 -- Talita Menezes <talita.menezes@indt.org>  Tue,  13 Jun 2006 16:00:00 +0300

tuxpuck (0.0.8-1) unstable; urgency=low
  * Initial release
  * Debianized package

 -- Talita Menezes <talita.menezes@indt.org>  Wed,  20 Apr 2005 20:25:24 +0200
 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Wed,  20 Apr 2005 20:25:24 +0200
