=== debian/control ===
Source: tuxpuck
Section: user/games
Priority: optional
Maintainer: Talita Menezes
Build-Depends:  libdbus-1-3, libdbus-glib-1-2, libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libgconf2-dev (>= 2.6), libpng12-0 (>= 1.2.0), libpango1.0-0 (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
Standards-Version: 0.8.1
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUFAQcO
  CAYODhIRDw0UFBcXFBIdExEbFBgjFQQjExctFQIlHiEyHgwvICIrJxAxJBs/
  JgUxKyY4KCtALzNFOBxLODxIQRdkNwpiSCBdSjJsUQ91TBtgT1OBUhCUUgiS
  Wg6HXyWaYAV0aWqpZwO3ZgW+ehKPgIPPegfIggLdgwbZjALniADOlwzykADt
  lgKpnqK3tx//mwDiqwn8owLauQ7+rQD5sQH/uwD8vQf5xwLJwsPv1CL71gDy
  4Av/4Qv97ABJx5c3AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1ggX
  FSAClGpVYAAAAd1JREFUKM8tUot2ojAUTC4kMU0pGnywilgqlCLiLqAUCuj/
  /1VvcIeTk0sm9zEDRNlvrmSM2czRrmJTNC1FGHVdSimhhEtpAoymxQgDKWF6
  JdyVhNMnRQEpjJn7NsFfvi1xm025NlLrf+PYj+M49Ndrf+376nzec7xPYN1f
  u3a43+/D2J2Hc9fV6ddpb3qJbRV/dcMwjt3weDzuQ5WnabanxCLeYp9WrTm+
  44WurbP0eNjMTJYnJZ+9Lv34csrzLE/8V84nLTZZKSFwWng5FnmWxZtJhhEA
  5O/nRxCstA1ukudpxJ/nqB3Ij+E8IS0R1Xl6UDb5bwgzVLBwhBTwXhZ5urYV
  YKep4M8nllNSKYFUkSX+Qj7zGDGM9jytxK4oLogkOWy33OhCxkNorXb55dZc
  0lPTfjfZCw7vaW+FedoRuwxzqra9NW1ThzghUo7jaEd7fnSuxqG91YgyRue1
  NFAOFkyqvkOmLMsiC2c2UZyDLaQUwk/S+rupyxr1hRv8lAJQOAABtCNJTxla
  EsfhZg4WUdgPN+BM+e/R4XiMwig87Dn2EtT4hQbI1UfwZ8J8Psczm0hTkFIL
  QCsQQgeBJqDwRwIiLTCGUQtpYxw+zzqUmNEthiEgbU2NwcaYwC+GeTYfuNce
  0wAAAABJRU5ErkJggg==


Package: tuxpuck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup, maemo-select-menu-location
Description: TuxPuck game
