## tuxpuck 0.0.8-5

=== debian/changelog ===
tuxpuck (0.0.8-5) unstable; urgency=low

  * Updated to Diablo.

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat, 25 Oct 2008 20:49:00 +0300
