=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tuxpuck
 Section: user/games
 Priority: optional
-Maintainer: Talita Menezes
-Build-Depends:  libdbus-1-3, libdbus-glib-1-2, libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libgconf2-dev (>= 2.6), libpng12-0 (>= 1.2.0), libpango1.0-0 (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
+Maintainer: Marcelo Lira
+Build-Depends:  libjpeg62-dev, libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libdbus-1-3, libdbus-glib-1-2, libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libgconf2-dev (>= 2.6), libpng12-0 (>= 1.2.0), libpango1.0-0 (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
 Standards-Version: 0.8.1
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUFAQcO
