=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
+endif
+# Use hardware floating point
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -mfpu=vfp -mfloat-abi=softfp
 endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
