=== debian/changelog ===
tuxpuck (0.8.2-12build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:45 +1100

tuxpuck (0.8.2-12build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:30:34 +0000

tuxpuck (0.8.2-12) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.1.
  * Remove debian/watch because the upstream project website has been gone a
    long time ago.

 -- Markus Koschany <apo@debian.org>  Tue, 23 Aug 2022 00:00:46 +0200

tuxpuck (0.8.2-11) unstable; urgency=medium

  * Build-depend on the native libfreetype6-dev dependency. (Closes: #893633)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2021 22:39:11 +0100

tuxpuck (0.8.2-10) unstable; urgency=medium

  * Fix FTCBFS:
      - Build the utils folder with the build architecture compiler.
      - Remove dependency on sdl from utils/*.c.
      - Switch the freetype dependency to the build architecture.
    Thanks to Helmut Grohne for the patch. (Closes: #893633)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2021 13:41:13 +0100

tuxpuck (0.8.2-9) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Dec 2020 22:53:01 +0100

tuxpuck (0.8.2-8) unstable; urgency=medium

  * Use compat level 11.
  * Use the --no-parallel option. Explicitly disable parallel builds to prevent
    a race condition.
  * Drop deprecated menu file and xpm icon.
  * Use https for Format field.
  * Declare compliance with Debian Policy 4.1.3.
  * Replace freetype-config command with pkg-config. (Closes: #892349)

 -- Markus Koschany <apo@debian.org>  Thu, 08 Mar 2018 22:15:21 +0100

tuxpuck (0.8.2-7) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Update my e-mail address.
  * Vcs-fields: Use https and cgit.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Aug 2016 13:02:22 +0200

tuxpuck (0.8.2-6) unstable; urgency=medium

  * Add clang-FTBFS.patch.
    Fix a FTBFS with the clang compiler due to uninitialized variables in
    ttf2font.c. Thanks to Alexander. (Closes: #753064)

 -- Markus Koschany <apo@gambaru.de>  Sat, 05 Jul 2014 22:17:59 +0200

tuxpuck (0.8.2-5) unstable; urgency=medium

  * Readd build-dependency on libfreetype6-dev.
    - Build-depend on libfreetype6-dev to fix FTBFS in Ubuntu due to
      missing ft2build.h.
      Thanks to Logan Rosen for the report. (Closes: #744046)

 -- Markus Koschany <apo@gambaru.de>  Wed, 09 Apr 2014 17:07:20 +0200

tuxpuck (0.8.2-4) unstable; urgency=medium

  * Do not build with --parallel to prevent a race condition on buildd.

 -- Markus Koschany <apo@gambaru.de>  Tue, 01 Apr 2014 10:42:25 +0200

tuxpuck (0.8.2-3) unstable; urgency=medium

  [ Markus Koshany ]
  * New maintainer Debian Games Team.
    - Add myself to Uploaders. (Closes: #739095)
  * Drop dirs file.
  * Simplify debian/rules by using dh sequencer.
  * debian/control:
    - Require debhelper >= 9.
    - Add compat file and use compat level 9 (was 3).
    - Declare compliance with Debian Policy 3.9.5.
    - Add ${misc:Depends} substvar to binary package.
    - Switch from libpng12-dev to libpng-dev. (Closes: #662528).
    - Add VCS and homepage fields.
    - Drop libfreetype6-dev from Build-Depends. Not needed.
    - Improve package description.
  * wrap-and-sort -sa.
  * Switch to source format 3.0 (quilt)
  * Add Makefile.patch and buffer-overflow.patch.
    Instead of using the old 1.0 format, create two separate patches.
  * Update Makefile.patch and do not link against -lz, -lvorbis and -logg to
    avoid useless dependencies.
  * Add $(CPPFLAGS) and $(LDFLAGS) to Makefiles for hardening.
  * Add and update libpng-transition.patch to avoid a FTBFS with the upcoming
    libpng-transition. Thanks to Nobuhiro Iwamatsu for the report and patch!
    (Closes: #649809)
  * Add FTBFS-with-fread.patch to prevent a FTBFS due to possible unused
    results of fread in anim.c. Thanks to Ilya Barygin for the report and patch.
    (Closes: #552022)
  * Update debian/copyright to copyright format 1.0.
  * Drop manpages file.
  * Add install file.
  * Update menu file. Add longtitle and icon entry. Change menu section to
    Games/Action.
  * Add tuxpuck.desktop file.
    - Merge desktop file from Ubuntu and add a comment in German and keywords.
      Thanks to Emmet Hikory. (Closes: #626223)
  * Add tuxpuck.png and tuxpuck.xpm icons created from tux.png.
    (Closes: #738048)
  * Add source/include-binaries.
  * Add watch file even if there is nothing to watch anymore.
  * export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

  [ John Paul Adrian Glaubitz ]
  * Clean up debian/changelog.
  * Make formatting in debian/copyright more consistent.

 -- Markus Koschany <apo@gambaru.de>  Mon, 31 Mar 2014 17:53:25 +0200

tuxpuck (0.8.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change build dependency from libjpeg62-dev to libjpeg-dev. (Closes: #634637)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Nov 2011 17:30:35 +0100

tuxpuck (0.8.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change build dependency from libpng2-dev to libpng12-dev. (Closes: #328335)
  * Add missing quotation marks around "X11" in debian/menu.

 -- Luk Claes <luk@debian.org>  Thu, 27 Oct 2005 20:13:39 +0200

tuxpuck (0.8.2-2) unstable; urgency=low

  * Patch tuxpuck.c to fix non-critical buffer overflow. Thanks to
    Steve Kemp for reporting and providing a patch. (Closes: #203508)

 -- Sven Velt <sven@velt.de>  Thu, 31 Jul 2003 15:08:23 +0200

tuxpuck (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Relink against new libvorbis libraries. (Closes: #185318)

 -- Sven Velt <sven@velt.de>  Fri, 21 Mar 2003 17:03:07 +0000

tuxpuck (0.8.1-1) unstable; urgency=low

  * New upstream release.

