=== debian/control ===
Source: tuxpuck
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libfreetype6-dev:native,
 libjpeg-dev,
 libpng-dev,
 libsdl1.2-dev,
 libvorbis-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/games-team/tuxpuck.git
Vcs-Browser: https://salsa.debian.org/games-team/tuxpuck
Homepage: https://wiki.debian.org/Games/TuxPuck

Package: tuxpuck
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: air hockey game for single players
 TuxPuck is an air hockey game and clone of the Amiga/Atari ST game Shufflepuck
 Café. The player moves a bat around a table and tries to knock the puck past
 the opponent's defense. After either party has reached 15 points, the match is
 over.
